#if !defined _SENDPROXYMANAGER_INC_
#define _SENDPROXYMANAGER_INC_
enum SendPropType {
	Prop_Int = 0,
	Prop_Float = 1,
	Prop_String = 2,
	Prop_Array = 3,
	Prop_Vector = 4,
	Prop_Max
};

funcenum SendProxyCallback
{
	Action:public(entity, const String:PropName[], &iValue), //Prop_Int
	Action:public(entity, const String:PropName[], &Float:flValue), //Prop_Float
	Action:public(entity, const String:PropName[], String:modifiedValue[4096]), //Prop_String
	Action:public(entity, const String:PropName[], Float:vecValues[3]), //Prop_Vector
};
//Returns true upon success, false upon failure
native bool:SendProxy_Hook(entity, String:propname[], SendPropType:proptype, SendProxyCallback:callback);
native bool:SendProxy_Unhook(entity, String:propname[], SendProxyCallback:callback);
native bool:SendProxy_IsHooked(entity, String:propname[]);

public Extension:__ext_sendproxymanager = 
{
	name = "SendProxy Manager",
	file = "sendproxy.ext",
#if defined AUTOLOAD_EXTENSIONS
	autoload = 1,
#else
	autoload = 0,
#endif
#if defined REQUIRE_EXTENSIONS
	required = 1,
#else
	required = 0,
#endif
};

#endif